# CMxInteger Class

Namespace: `ArchestrA.Toolkit`

CMxInteger is derived from CMxCommon and provides support for Integer Attributes.

**Syntax**

```csharp
public class CMxInteger : CMxCommon
```

## CMxInteger Property

### Value Property

Provides a property to get and set the value as an int.

**Syntax**

```csharp
public int Value { get; set; }
```

**Returns**

int

## CMxInteger Constructors

### CMxInteger Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxInteger();
```

### CMxInteger Constructor (int)

Provides a constructor to initialize the class with an int.

**Syntax**

```csharp
public CMxInteger (int v);
```

**Parameters**

**`v`**

[in] int value to be set.

### CMxInteger Constructor (SupportWrapper, string)

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxInteger (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxInteger Method

### Set Method

Provides a method to set the value of the Attribute from a CMxInteger.

**Syntax**

```csharp
public void Set(CMxInteger val);
```

**Parameters**

**`val`**

[in] CMxInteger value to be set.

## CMxInteger Operator Overloads

### CMxInteger Operator Overload (int)

Provides an operator to convert an int into a CMxInteger.

**Syntax**

```csharp
public static implicit operator CMxInteger(int x);
```

**Parameters**

**`x`**

[in] int value to convert to CMxInteger.

**Returns**

CMxInteger

### CMxValue Operator Overload

Provides an operator to convert a CMxInteger into a CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxInteger val);
```

**Parameters**

**`val`**

[in] CMxInteger value to convert to CMxValue.

**Returns**

CMxValue

### int Operator Overload (CMxInteger)

Conversion operator that converts from CMxInteger to int.

**Syntax**

```csharp
public static implicit operator int (CMxInteger val);
```

**Parameters**

**`val`**

[i] CMxInteger value to convert to int.

**Returns**

int

### CMxInteger Operator Overload (CMxValue)

Provides an operator to convert a CMxValue into a CMxInteger.

**Syntax**

```csharp
public static implicit operator CMxInteger (CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxInteger.

**Returns**

CMxInteger
